Skip to main content
GET
/
api
/
v2
/
destinations
Get Destinations
curl --request GET \
  --url https://api.layerswap.io/api/v2/destinations \
  --header 'X-LS-APIKEY: <api-key>'
import requests

url = "https://api.layerswap.io/api/v2/destinations"

headers = {"X-LS-APIKEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-LS-APIKEY': '<api-key>'}};

fetch('https://api.layerswap.io/api/v2/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "metadata": {}
  },
  "data": [
    {
      "name": "<string>",
      "display_name": "<string>",
      "logo": "<string>",
      "chain_id": "<string>",
      "node_url": "<string>",
      "nodes": [
        "<string>"
      ],
      "transaction_explorer_template": "<string>",
      "account_explorer_template": "<string>",
      "source_rank": 123,
      "destination_rank": 123,
      "token": {
        "symbol": "<string>",
        "display_asset": "<string>",
        "logo": "<string>",
        "contract": "<string>",
        "decimals": 123,
        "price_in_usd": 123,
        "precision": 123,
        "listing_date": "2023-11-07T05:31:56Z",
        "source_rank": 123,
        "destination_rank": 123,
        "group": "<string>",
        "supports_gasless_deposit": true
      },
      "metadata": {
        "listing_date": "2023-11-07T05:31:56Z",
        "evm_oracle_contract": "<string>",
        "evm_multicall_contract": "<string>",
        "zks_paymaster_contract": "<string>",
        "watchdog_contract": "<string>"
      },
      "deposit_methods": [
        "<string>"
      ],
      "tokens": [
        {
          "symbol": "<string>",
          "display_asset": "<string>",
          "logo": "<string>",
          "contract": "<string>",
          "decimals": 123,
          "price_in_usd": 123,
          "precision": 123,
          "listing_date": "2023-11-07T05:31:56Z",
          "source_rank": 123,
          "destination_rank": 123,
          "group": "<string>",
          "supports_gasless_deposit": true,
          "status": "<string>",
          "refuel": {
            "token": {
              "symbol": "<string>",
              "display_asset": "<string>",
              "logo": "<string>",
              "contract": "<string>",
              "decimals": 123,
              "price_in_usd": 123,
              "precision": 123,
              "listing_date": "2023-11-07T05:31:56Z",
              "source_rank": 123,
              "destination_rank": 123,
              "group": "<string>",
              "supports_gasless_deposit": true
            },
            "network": {
              "name": "<string>",
              "display_name": "<string>",
              "logo": "<string>",
              "chain_id": "<string>",
              "node_url": "<string>",
              "nodes": [
                "<string>"
              ],
              "transaction_explorer_template": "<string>",
              "account_explorer_template": "<string>",
              "source_rank": 123,
              "destination_rank": 123,
              "token": {
                "symbol": "<string>",
                "display_asset": "<string>",
                "logo": "<string>",
                "contract": "<string>",
                "decimals": 123,
                "price_in_usd": 123,
                "precision": 123,
                "listing_date": "2023-11-07T05:31:56Z",
                "source_rank": 123,
                "destination_rank": 123,
                "group": "<string>",
                "supports_gasless_deposit": true
              },
              "metadata": {
                "listing_date": "2023-11-07T05:31:56Z",
                "evm_oracle_contract": "<string>",
                "evm_multicall_contract": "<string>",
                "zks_paymaster_contract": "<string>",
                "watchdog_contract": "<string>"
              },
              "deposit_methods": [
                "<string>"
              ]
            },
            "amount": 123,
            "amount_in_usd": 123
          }
        }
      ]
    }
  ]
}

Authorizations

X-LS-APIKEY
string
header
required

Headers

X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q

Query Parameters

source_network
string
source_token
string
include_swaps
boolean
include_unavailable
boolean
include_unmatched
boolean
include_swaps_via_deposit_address
boolean
network_types
enum<string>[]
Available options:
evm,
starknet,
solana,
cosmos,
starkex,
zksynclite,
ton,
paradex,
tron,
fuel,
bitcoin,
hyperliquid

Response

200 - application/json

Success

error
object
data
object[] | null